Subject: Re: [PATCH 3/3] 82xx: SBCPQ2 board platform support

From: Arnd Bergmann <[email-masked]>
Date: Tue, 17 Jul 2007 15:17:00 +0200

On Tuesday 17 July 2007, Mark Zhan wrote:
> 
> Since the rtc m48t59 driver has already gone into the -mm source tree,
> and I think, it is an ugly way to make the irq handler a global
> function:-)
> 
> If the driver is not built-in, and I still get the mach check exception,
> it will turn out that other factors are causing mach check exception,
> then just like my original codes, the kernel will not survive this
> machine check, right?

Ok, I missed the point that you also have real machine check events
to care about.

One issue remains though: you still need to have a virtual irq number,
not just make up a IRQ, as there is nothing that guarantees this to work.

Since you already create your own irq_host, you can probably just
give the fake irq the number '1' here, which is local to that host.
Then you call irq_create_mapping() to create the virtual interrupt
number that you pass to the platform_device.

	Arnd <><